HELP ERROR TO 3.1 Phone Bricked

Discussion in 'iPhone Tips, Help and Troubleshooting' started by michaelgettys, Jul 1, 2009.

  1. michaelgettys macrumors member

    Joined:
    Mar 18, 2009
    #1
    I am a developer and paid the 99 dollars for the sdk. I have a 3gs and tried putting 3.1 on it this am but i keep getting error code 3004 in itunes. I have registered the 40 digit number with apple and it shows it on the site. I cant xcode to bring up the box to try and restore it from there. Please any help would be wonderful!!!!
     
  2. LePigeonBleu macrumors 6502

    Joined:
    Jul 11, 2008
    Location:
    San Diego
    #2
    +1

    This happens to me too when I even try just to restore 3.0.

    m
     
  3. pugnut macrumors 6502a

    Joined:
    Jul 1, 2007
    #3
    What version of iTune are you using and are you using a PC or a MAC? Also delete your UUID on the portal and re-add. The other key is to ensure that you have access to the internet when you are upgrading. One you go to 3.1 you can not downgrade.
     
  4. LePigeonBleu macrumors 6502

    Joined:
    Jul 11, 2008
    Location:
    San Diego
    #4
    I'm on iTunes 8.2 on a Mac
     
  5. pugnut macrumors 6502a

    Joined:
    Jul 1, 2007
    #5
    DId you downlod the correct 3.1 version for your phone, ie 3g vs 3gs and do you have the latest SDK down loaded ?
     
  6. DanielNTX macrumors 6502

    Joined:
    May 2, 2005
    #6
    I just put 3.1 on my iPod touch and downgraded to 3.0 via DFU, so I could compare how bluetooth works. If you can get your iPhone in DFU mode, do a restore.
     
  7. michaelgettys thread starter macrumors member

    Joined:
    Mar 18, 2009
    #7
    I gave up and just made an apt with the apple store. I need to get my 3g switched out that i still use as well bc the vibrate/ringer switch fell off. But yes correct verison of software for itunes and phone. I dont understand. I have put about 6 phones into the dev portal and never had a problem b/f.
     
  8. mymobile macrumors newbie

    Joined:
    Dec 27, 2006
    #8
    I had the exact same problem.

    The solution for me was :-

    1. Download iTunes 8.2 from Apple.com
    2. Install the downloaded iTunes - this will install over the 8.2B (beta).
    3. do the normal restore with the 3.1 FW

    FIXED IT FOR ME!
     

Share This Page